Bug 961527 - kernel: radeon driver doesn't set PCI-E Gen2 speed on ppc64/pseries systems
kernel: radeon driver doesn't set PCI-E Gen2 speed on ppc64/pseries systems
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
ppc64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 16:15 EDT by Kleber Sacilotto de Souza
Modified: 2013-06-14 08:56 EDT (History)
8 users (show)

See Also:
Fixed In Version: kernel-3.9.3-301.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:47:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
powerpc/pseries: Perform proper max_bus_speed detection (4.87 KB, patch)
2013-05-09 16:18 EDT, Kleber Sacilotto de Souza
no flags Details | Diff
radeon: use max_bus_speed to activate gen2 speeds (3.35 KB, patch)
2013-05-09 16:20 EDT, Kleber Sacilotto de Souza
no flags Details | Diff

  None (edit)
Description Kleber Sacilotto de Souza 2013-05-09 16:15:08 EDT
Description of problem:
On ppc64/pseries systems, the radeon driver cannot set the PCI-E bus speed to 500 MB/s (5 GT/s) even if the adapter is placed on a PCI-E Gen2 slot.

This is fixed by two patches (one on for powerpc/pseries and the other for the radeon driver) which were sent upstream.

The patch on the powerpc/pseries subsystem is already applied on Linus' tree (commit d82fb31abc46620b7c22758c75707069f2763646).

The patch for the radeon driver has received the ACK from the radeon maintainers and is waiting for the drm maintainer to apply it on the tree.

This is the link to the discussion on the dri-devel mailing-list:
http://lists.freedesktop.org/archives/dri-devel/2013-May/038234.html


Version-Release number of selected component (if applicable): Fedora 19 Beta 1.


How reproducible:
Every time.

Steps to Reproduce:
1. Load the radeon driver with an adapter with recent radeon chipset (e.g. evergreen).
  
Actual results:
radeon driver cannot enable PCI-E Gen2 speed.

Expected results:
radeon driver enable PCI-E Gen2 speed, printing the message on syslog:
"enabling PCIE gen 2 link speeds, disable with radeon.pcie_gen2=0"


Additional info:
Comment 1 Kleber Sacilotto de Souza 2013-05-09 16:18:51 EDT
Created attachment 745814 [details]
powerpc/pseries: Perform proper max_bus_speed detection

Patch for commit d82fb31abc46620b7c22758c75707069f2763646.
Comment 2 Kleber Sacilotto de Souza 2013-05-09 16:20:13 EDT
Created attachment 745817 [details]
radeon: use max_bus_speed to activate gen2 speeds

Patch for the radeon driver.
Comment 3 Josh Boyer 2013-05-10 10:32:58 EDT
I'm guessing you want these included in F19?

Dave, do you have any objections with the radeon patch being added on top of 3.9.x?
Comment 4 Kleber Sacilotto de Souza 2013-05-10 12:23:34 EDT
Yes, we would like to have these patches included in F19.

Thank you.
Comment 5 Josh Boyer 2013-05-13 10:15:18 EDT
Added to F19 git.  I've also added the radeon patch to rawhide.
Comment 6 Fedora Update System 2013-05-20 12:21:23 EDT
kernel-3.9.3-301.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.9.3-301.fc19
Comment 7 Fedora Update System 2013-05-20 16:06:41 EDT
Package kernel-3.9.3-301.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.9.3-301.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8639/kernel-3.9.3-301.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-05-24 16:47:08 EDT
kernel-3.9.3-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Kleber Sacilotto de Souza 2013-05-27 10:41:40 EDT
Confirmed that both patches are included in kernel-3.9.3-301.fc19 and that this kernel solves the issue.

Thank you!
Comment 10 Kleber Sacilotto de Souza 2013-05-31 13:58:20 EDT
The radeon patch has been applied upstream:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=7e0e41963740525af702bb23edede8ae9afc4ac0

Thanks.
Comment 11 Kleber Sacilotto de Souza 2013-06-14 08:56:38 EDT
Both patches have made it now to the stable 3.9.y tree and were released on 3.9.6.

powerpc/pseries: Perform proper max_bus_speed detection
http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?h=linux-3.9.y&id=c746f441666c4ad27800d5c3c8799c6135818071

radeon: use max_bus_speed to activate gen2 speeds
http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?h=linux-3.9.y&id=5435bb9911ca86e32a991b79e294472b82b37f0c

Thank you.

Note You need to log in before you can comment on or make changes to this bug.